Bug 789285 - after upgrading to rawhide, fedora fails to boot into installed system
Summary: after upgrading to rawhide, fedora fails to boot into installed system
Keywords:
Status: CLOSED DUPLICATE of bug 847418
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-10 09:50 UTC by Thomas Schweikle
Modified: 2013-05-29 13:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 13:53:46 UTC
Type: ---


Attachments (Terms of Use)

Description Thomas Schweikle 2012-02-10 09:50:48 UTC
Description of problem:
After upgrading to f17 fedora boots into dracut, telling /dev/mapper/vg_phai_lv_root does not exist.
Looking into "/dev/mapper", there is only "control".
"lvm vgscan" reports: "no volume groups found".

Version-Release number of selected component (if applicable):
rawhide (f18), f17

How reproducible:
always

Steps to Reproduce:
1. Install f16, upgrade to f17 or rawhide
2. reboot
3.
  
Actual results:
falls back to dracut, because not finding any volume-groups

Expected results:
find volume groups, activate them, mount them, boot into installed system


Additional info:

Comment 1 Harald Hoyer 2012-02-13 10:08:57 UTC
which versions?

$ rpm -q kmod
kmod-5-7.fc17.x86_64
$ rpm -q dracut
dracut-015-9.git20120213.fc17
$ rpm -q udev
udev-181-2.fc17.x86_64

Comment 2 Harald Hoyer 2012-02-20 12:30:04 UTC
please retry with updated f17/rawhide

Comment 3 Harald Hoyer 2012-07-03 08:05:49 UTC
(In reply to comment #2)
> please retry with updated f17/rawhide

# yum update kmod dracut
# yum update kernel

Comment 4 Paulo Andrade 2012-09-14 20:50:15 UTC
I suggest making frequent tests of something like:

<minimal install of f17 (or f18 soon)>
<open terminal and became root>

# chvt 2

<login as root>

# init 3

<login as root again now in tty1>

# yum install fedora-release-rawhide
# yum --releasever=rawhide distro-sync

May need to "yum erase" some broken stuff or --skip-broken may
work.

Do it in a test computer or some kind of vm to avoid losing any
data, qemu, VirtualBox, etc.

Last two kernel updates in rawhide do not boot, but they look
more like systemd issues, and there should be some way to
workaround it. I have 3 kernels installed, only the oldest one
boots, but updates of dracut/systemd/etc may break it at any
time.

Comment 5 Harald Hoyer 2012-09-18 14:21:13 UTC
(In reply to comment #4)
> I suggest making frequent tests of something like:
> 
> <minimal install of f17 (or f18 soon)>
> <open terminal and became root>
> 
> # chvt 2
> 
> <login as root>
> 
> # init 3
> 
> <login as root again now in tty1>
> 
> # yum install fedora-release-rawhide
> # yum --releasever=rawhide distro-sync
> 
> May need to "yum erase" some broken stuff or --skip-broken may
> work.
> 
> Do it in a test computer or some kind of vm to avoid losing any
> data, qemu, VirtualBox, etc.
> 
> Last two kernel updates in rawhide do not boot, but they look
> more like systemd issues, and there should be some way to
> workaround it. I have 3 kernels installed, only the oldest one
> boots, but updates of dracut/systemd/etc may break it at any
> time.

Sounds like:

bug 847418

https://bugzilla.redhat.com/show_bug.cgi?id=847418#c13

somebody messed up the rawhide version.

Comment 6 Fedora End Of Life 2013-04-03 19:19:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Harald Hoyer 2013-05-29 13:53:46 UTC

*** This bug has been marked as a duplicate of bug 847418 ***


Note You need to log in before you can comment on or make changes to this bug.